<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>PrototypeScormApp</title>
  <base href="/">
  <script>
    window.API = {
      _cb: undefined,
      setCallback: function (cb) {
        window.API._cb = cb;
      },
      LMSInitialize: function () {
        if (window.API._cb) {
          return window.API._cb.LMSInitialize();
        }
        alert("callback not set")
      },
      LMSGetValue: function (cmiKey) {
        if (window.API._cb) {
          return window.API._cb.LMSGetValue(cmiKey);
        }
        alert("callback not set")
        switch (cmiKey) {
          case 'cmi.core.student_name':
            return 'John Doe';
        }
      }
    }
  </script>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/x-icon" href="favicon.ico">
</head>

<body>
  <app-root></app-root>
</body>

</html>